|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions
gameplay::MeshPart Class Reference

`#include <MeshPart.h>`

List of all members.

## Public Member Functions

| ~MeshPart ()
unsigned int | getMeshIndex () const
Mesh::PrimitiveType | getPrimitiveType () const
unsigned int | getIndexCount () const
Mesh::IndexFormat | getIndexFormat () const
IndexBufferHandle | getIndexBuffer () const
bool | isDynamic () const
void | setIndexData (const void *indexData, unsigned int indexStart, unsigned int indexCount)

## Detailed Description

Defines a part of a mesh describing the way the mesh's vertices are connected together.

## Constructor & Destructor Documentation

gameplay::MeshPart::~MeshPart | ( |  | ) |

Destructor.

## Member Function Documentation

IndexBufferHandle gameplay::MeshPart::getIndexBuffer | ( |  | ) | const

Returns a handle to the index buffer for the mesh part.

Returns:
  The index buffer object handle.

unsigned int gameplay::MeshPart::getIndexCount | ( |  | ) | const

Gets the number of indices in the part.

Returns:
  The number of indices in the part.

Mesh::IndexFormat gameplay::MeshPart::getIndexFormat | ( |  | ) | const

Returns the format of the part indices.

Returns:
  The part index format.

unsigned int gameplay::MeshPart::getMeshIndex | ( |  | ) | const

Gets the part index in mesh.

Returns:
  The part offset index.

Mesh::PrimitiveType gameplay::MeshPart::getPrimitiveType | ( |  | ) | const

Gets the type of primitive to define how the indices are connected.

Returns:
  The type of primitive.

bool gameplay::MeshPart::isDynamic | ( |  | ) | const

Determines if the indices are dynamic.

Returns:
  true if the part is dynamic; false otherwise.

void gameplay::MeshPart::setIndexData | ( | const void * | indexData,
|  | unsigned int | indexStart,
|  | unsigned int | indexCount
| ) |  |

Sets the specified index data into the mapped index buffer.

Parameters:

  indexData | The index data to be set.
  indexStart | The index to start from.
  indexCount | The number of indices to be set.

All Classes Functions Variables Typedefs Enumerations Enumerator